## plasma-systemmonitor 5.27.8

=== debian/changelog ===
plasma-systemmonitor (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:32:02 +0100

plasma-systemmonitor (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 11:03:02 +0100

plasma-systemmonitor (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:16:17 +0100

plasma-systemmonitor (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:37:53 +0100

plasma-systemmonitor (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:15:45 +0100

=== debian/control ===
Source: plasma-systemmonitor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5globalaccel-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5itemmodels-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5newstuff-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5sysguard-dev (>= 4:5.27.8~),
               libkf5windowsystem-dev (>= 5.102.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/en/plasma-systemmonitor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
Rules-Requires-Root: no

Package: plasma-systemmonitor
Section: utils
Architecture: any
Depends: ksystemstats (>= 5.27.7~),
         qml-module-org-kde-kcm  (>= 5.15.0~),
         qml-module-org-kde-kcoreaddons (>= 5.86.0~),
         qml-module-org-kde-kirigami2 (>= 5.86.0~),
         qml-module-org-kde-kitemmodels (>= 5.86.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.86.0~),
         qml-module-org-kde-ksysguard,
         qml-module-org-kde-newstuff (>= 5.86.0~),
         qml-module-org-kde-qqc2desktopstyle (>= 5.86.0~),
         qml-module-org-kde-quickcharts (>= 5.86.0~),
         qml-module-qt-labs-platform (>= 5.15.0~),
         qml-module-qt-labs-qmlmodels (>= 5.15.0~),
         qml-module-qtqml (>= 5.15.0~),
         qml-module-qtqml-models2 (>= 5.15.0~),
         qml-module-qtquick-controls2 (>= 5.15.0~),
         qml-module-qtquick-dialogs  (>= 5.15.0~),
         qml-module-qtquick-layouts (>= 5.15.0~),
         qml-module-qtquick-window2 (>= 5.15.0~),
         qml-module-qtquick2 (>= 5.15.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: System monitor for the Plasma desktop
 Plasma System Monitor provides an interface for monitoring system sensors,
 process information and other system resources.

## plasma-systemmonitor 5.27.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(systemmonitor)

set(PROJECT_VERSION "5.27.10")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMInstallIcons)
include(ECMFindQmlModule)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Quick Widgets DBus)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n Config Declarative Service GlobalAccel KIO DBusAddons NewStuffQuick ItemModels WindowSystem)
find_package(KSysGuard ${PROJECT_VERSION})
set_package_properties(KSysGuard PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "The libksysguard collection of libraries"
    URL https://invent.kde.org/plasma/libksysguard
)
find_package(KSystemStats)
set_package_properties(KSystemStats PROPERTIES
    TYPE RUNTIME
    PURPOSE "Daemon providing system statistics"
    URL https://invent.kde.org/plasma/ksystemstats
)
find_package(Qt${QT_MAJOR_VERSION}QuickControls2  ${QT_MIN_VERSION})
set_package_properties(Qt${QT_MAJOR_VERSION}QuickControls2 PROPERTIES
    TYPE RUNTIME
)
find_package(KF5Kirigami2  ${KF5_MIN_VERSION})
set_package_properties(KF5Kirigami2 PROPERTIES
    TYPE RUNTIME
)
ecm_find_qmlmodule(Qt.labs.qmlmodels 1.0)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.101
)

if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    add_definitions(-DQT_QML_DEBUG)
endif()

add_subdirectory(src)

install(PROGRAMS org.kde.plasma-systemmonitor.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.plasma-systemmonitor.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES kcm_external_plasma-systemmonitor.desktop DESTINATION ${KDE_INSTALL_DATADIR}/plasma/kinfocenter/externalmodules)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-systemmonitor (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:24:56 +0100

plasma-systemmonitor (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:54:17 +0200

plasma-systemmonitor (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 21:54:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: plasma-systemmonitor
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -18,21 +17,21 @@
                libkf5kio-dev (>= 5.102.0~),
                libkf5newstuff-dev (>= 5.102.0~),
                libkf5service-dev (>= 5.102.0~),
-               libkf5sysguard-dev (>= 4:5.27.8~),
+               libkf5sysguard-dev (>= 4:5.27.10~),
                libkf5windowsystem-dev (>= 5.102.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/plasma-systemmonitor
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor.git
 Rules-Requires-Root: no
 
 Package: plasma-systemmonitor
 Section: utils
 Architecture: any
-Depends: ksystemstats (>= 5.27.7~),
+Depends: ksystemstats (>= 5.27.10~),
          qml-module-org-kde-kcm  (>= 5.15.0~),
          qml-module-org-kde-kcoreaddons (>= 5.86.0~),
          qml-module-org-kde-kirigami2 (>= 5.86.0~),

## plasma-systemmonitor 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(systemmonitor)
 
-set(PROJECT_VERSION "5.27.10")
+set(PROJECT_VERSION "5.27.11")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.2")

=== debian/changelog ===
plasma-systemmonitor (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:00:53 +0000

plasma-systemmonitor (5.27.11-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.11)

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:24:36 +0000

plasma-systemmonitor (5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:28:22 +0000

plasma-systemmonitor (5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

  [ Scarlett Moore ]
  * Release to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 04:19:10 -0700

plasma-systemmonitor (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:23:01 +0000

plasma-systemmonitor (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:20:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma-systemmonitor
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -17,15 +18,15 @@
                libkf5kio-dev (>= 5.102.0~),
                libkf5newstuff-dev (>= 5.102.0~),
                libkf5service-dev (>= 5.102.0~),
-               libkf5sysguard-dev (>= 4:5.27.10~),
+               libkf5sysguard-dev (>= 4:5.27.11~),
                libkf5windowsystem-dev (>= 5.102.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/plasma-systemmonitor
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
 Rules-Requires-Root: no
 
 Package: plasma-systemmonitor

## plasma-systemmonitor 6.1.5

=== debian/changelog ===
plasma-systemmonitor (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:01:23 +0100

plasma-systemmonitor (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:43:47 +0100

plasma-systemmonitor (6.1.3-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Bump inter-Plasma dependencies.

 -- Patrick Franz <deltaone@debian.org>  Mon, 29 Jul 2024 14:27:18 +0900

plasma-systemmonitor (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:18 +0200

plasma-systemmonitor (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Tue, 25 Jun 2024 00:26:26 +0200

plasma-systemmonitor (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:21:37 +0200

=== debian/control ===
Source: plasma-systemmonitor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.2.0~),
               kirigami-addons-dev (>= 1.1.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6crash-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6globalaccel-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6itemmodels-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6newstuff-dev (>= 6.2.0~),
               libkf6package-dev (>= 6.2.0~),
               libkf6service-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libkirigami-dev (>= 6.2.0~),
               libksysguard-dev (>= 4:6.1.5~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/plasma-systemmonitor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
Rules-Requires-Root: no

Package: plasma-systemmonitor
Section: utils
Architecture: any
Depends: ksystemstats (>= 6.1.3~),
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksysguard,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-quickcharts,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: System monitor for the Plasma desktop
 Plasma System Monitor provides an interface for monitoring system sensors,
 process information and other system resources.

## plasma-systemmonitor 6.2.90

=== debian/changelog ===
plasma-systemmonitor (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 07:48:27 +0000

plasma-systemmonitor (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:04:16 +0000

plasma-systemmonitor (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:15:56 +0000

plasma-systemmonitor (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:59:23 +0000

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,23 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.2.0~),
+               extra-cmake-modules (>= 6.10.0~),
                kirigami-addons-dev (>= 1.1.0~),
-               libkf6config-dev (>= 6.2.0~),
-               libkf6crash-dev (>= 6.2.0~),
-               libkf6dbusaddons-dev (>= 6.2.0~),
-               libkf6globalaccel-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
-               libkf6itemmodels-dev (>= 6.2.0~),
-               libkf6kio-dev (>= 6.2.0~),
-               libkf6newstuff-dev (>= 6.2.0~),
-               libkf6package-dev (>= 6.2.0~),
-               libkf6service-dev (>= 6.2.0~),
-               libkf6windowsystem-dev (>= 6.2.0~),
-               libkirigami-dev (>= 6.2.0~),
-               libksysguard-dev (>= 4:6.1.5~),
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6crash-dev (>= 6.10.0~),
+               libkf6dbusaddons-dev (>= 6.10.0~),
+               libkf6globalaccel-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6itemmodels-dev (>= 6.10.0~),
+               libkf6kio-dev (>= 6.10.0~),
+               libkf6newstuff-dev (>= 6.10.0~),
+               libkf6package-dev (>= 6.10.0~),
+               libkf6service-dev (>= 6.10.0~),
+               libkf6windowsystem-dev (>= 6.10.0~),
+               libkirigami-dev (>= 6.10.0~),
+               libksysguard-dev (>= 4:6.2.90~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-declarative-dev (>= 6.7.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/plasma-systemmonitor
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
@@ -35,6 +35,7 @@
 Section: utils
 Architecture: any
 Depends: ksystemstats (>= 6.1.3~),
+         python3,
          qml6-module-org-kde-iconthemes,
          qml6-module-org-kde-kirigami,
          qml6-module-org-kde-kitemmodels,

## plasma-systemmonitor 6.3.0

=== debian/changelog ===
plasma-systemmonitor (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:52 +0100

plasma-systemmonitor (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:53:06 +0100

plasma-systemmonitor (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Add python3:any dependency for the plasma-systemmonitor-replace-
    vmpss.py configuration migration script.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 17 Jan 2025 11:48:07 +0100

plasma-systemmonitor (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:22:36 +0100

plasma-systemmonitor (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:36:45 +0100

plasma-systemmonitor (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Add build dependency to qt6-declarative-private-dev required since
    cmake 3.31.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:32 +0100

plasma-systemmonitor (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 18:21:59 +0200

plasma-systemmonitor (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.
  * Tighten inter-Plasma package dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:47 +0200

plasma-systemmonitor (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.
  * Tighten Plasma packages inter-dependencies.
  * Fix permissions of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:04 +0200

plasma-systemmonitor (6.1.4-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten inter-plasma dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 17 Aug 2024 10:08:18 +0200

plasma-systemmonitor (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: plasma-systemmonitor
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                kirigami-addons-dev (>= 1.1.0~),
                libkf6config-dev (>= 6.10.0~),
@@ -22,20 +21,21 @@
                libkf6service-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
-               libksysguard-dev (>= 4:6.2.90~),
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               libksysguard-dev (>= 4:6.3.0~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
+               qt6-declarative-private-dev,
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/plasma-systemmonitor
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor.git
 Rules-Requires-Root: no
 
 Package: plasma-systemmonitor
 Section: utils
 Architecture: any
-Depends: ksystemstats (>= 6.1.3~),
-         python3,
+Depends: ksystemstats (>= 6.2.90~),
+         python3:any,
          qml6-module-org-kde-iconthemes,
          qml6-module-org-kde-kirigami,
          qml6-module-org-kde-kitemmodels,

## plasma-systemmonitor 6.3.2

=== debian/changelog ===
plasma-systemmonitor (6.3.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Depend on libksysguard-bin so that per-application network stats
    work. (Closes: #1054200)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 01 Mar 2025 22:15:33 +0100

plasma-systemmonitor (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:53:17 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6service-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
-               libksysguard-dev (>= 4:6.3.0~),
+               libksysguard-dev (>= 4:6.3.2~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,
@@ -35,6 +35,7 @@
 Section: utils
 Architecture: any
 Depends: ksystemstats (>= 6.2.90~),
+         libksysguard-bin (>= 6.2.90~),
          python3:any,
          qml6-module-org-kde-iconthemes,
          qml6-module-org-kde-kirigami,

## plasma-systemmonitor 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(systemmonitor)

set(PROJECT_VERSION "6.3.4")
set(PROJECT_VERSION_MAJOR 6)

set(PROJECT_DEP_VERSION "6.3.4")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMInstallIcons)
include(ECMFindQmlModule)
include(ECMQmlModule)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Quick Widgets DBus)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS I18n Config Crash Service GlobalAccel KIO DBusAddons NewStuff ItemModels WindowSystem Package)
find_package(KSysGuard ${PROJECT_DEP_VERSION})
set_package_properties(KSysGuard PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "The libksysguard collection of libraries"
    URL https://invent.kde.org/plasma/libksysguard
)
find_package(KSystemStats)
set_package_properties(KSystemStats PROPERTIES
    TYPE RUNTIME
    PURPOSE "Daemon providing system statistics"
    URL https://invent.kde.org/plasma/ksystemstats
)
find_package(Qt6QuickControls2  ${QT_MIN_VERSION})
set_package_properties(Qt6QuickControls2 PROPERTIES
    TYPE RUNTIME
)
find_package(KF6Kirigami  ${KF6_MIN_VERSION})
set_package_properties(KF6Kirigami PROPERTIES
    TYPE RUNTIME
)
find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 1.1.0 REQUIRED)
set_package_properties(KF${QT_MAJOR_VERSION}KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Provides additional visual components"
)
ecm_find_qmlmodule(Qt.labs.qmlmodels 1.0)
ecm_find_qmlmodule(org.kde.iconthemes 1.0)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.9.0
)

if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    add_definitions(-DQT_QML_DEBUG)
endif()

add_subdirectory(src)

install(PROGRAMS org.kde.plasma-systemmonitor.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(PROGRAMS org.kde.plasma-systemmonitor.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/kglobalaccel)
install(FILES org.kde.plasma-systemmonitor.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES kcm_external_plasma-systemmonitor.desktop DESTINATION ${KDE_INSTALL_DATADIR}/plasma/kinfocenter/externalmodules)

install(FILES kconf_update/plasma-systemmonitor.upd DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS kconf_update/plasma-systemmonitor-replace-vmpss.py DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_subdirectory(page)
add_subdirectory(table)
add_subdirectory(faces)


add_definitions(-DQT_NO_KEYWORDS)

add_executable(plasma-systemmonitor ${plasma-systemmonitor_SRCS} ${plasma-systemmonitor_QRC})
ecm_add_qml_module(plasma-systemmonitor URI "org.kde.systemmonitor" GENERATE_PLUGIN_SOURCE DEPENDENCIES "QtCore")

target_sources(plasma-systemmonitor PRIVATE
    main.cpp
    ToolsModel.cpp
    ToolsModel.h
    Configuration.cpp
    Configuration.h
    CommandLineArguments.cpp
    CommandLineArguments.h
)

ecm_target_qml_sources(plasma-systemmonitor SOURCES
    Main.qml
    GlobalMenu.qml
)

kconfig_target_kcfg_file(plasma-systemmonitor FILE systemmonitor.kcfg CLASS_NAME SystemMonitorConfiguration MUTATORS GENERATE_PROPERTIES GENERATE_MOC)

target_compile_definitions(plasma-systemmonitor PRIVATE PROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(plasma-systemmonitor PRIVATE
    Qt::Quick
    Qt::Widgets
    Qt::DBus
    KF6::I18n
    KF6::ConfigGui
    KF6::Crash
    KF6::Service
    KF6::KIOGui
    KF6::GlobalAccel
    KF6::DBusAddons
    KF6::WindowSystem
    PlasmaSystemMonitorPage
    PlasmaSystemMonitorTable
)

if(TARGET KF6::I18nQml)
    target_link_libraries(plasma-systemmonitor PRIVATE
       KF6::I18nQml
)
endif()

install(TARGETS plasma-systemmonitor DESTINATION ${KDE_INSTALL_BINDIR})
install(FILES systemmonitor.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES plasma-systemmonitor.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

install(FILES
    pages/applications.page
    pages/history.page
    pages/overview.page
    pages/processes.page
    DESTINATION ${KDE_INSTALL_DATADIR}/plasma-systemmonitor
)

ecm_finalize_qml_module(plasma-systemmonitor)

=== debian/changelog ===
plasma-systemmonitor (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:58:24 +0100

plasma-systemmonitor (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:24:22 +0000

plasma-systemmonitor (6.3.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 02 Mar 2025 15:55:04 +0000

plasma-systemmonitor (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:18:15 +0000

plasma-systemmonitor (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:25:35 +0000

plasma-systemmonitor (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:57:30 +0000

plasma-systemmonitor (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:44:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: plasma-systemmonitor
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                kirigami-addons-dev (>= 1.1.0~),
                libkf6config-dev (>= 6.10.0~),
@@ -21,14 +22,14 @@
                libkf6service-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
-               libksysguard-dev (>= 4:6.3.2~),
+               libksysguard-dev (>= 4:6.3.4~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/plasma-systemmonitor
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
 Rules-Requires-Root: no
 
 Package: plasma-systemmonitor

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_fixperms-arch:
	chmod -x $(CURDIR)/debian/plasma-systemmonitor/usr/share/kglobalaccel/org.kde.plasma-systemmonitor.desktop

## plasma-systemmonitor 6.3.5

=== debian/changelog ===
plasma-systemmonitor (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:36:04 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf6service-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
-               libksysguard-dev (>= 4:6.3.4~),
+               libksysguard-dev (>= 4:6.3.5~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,

## plasma-systemmonitor 6.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(systemmonitor)
 
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.3.6")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(PROJECT_DEP_VERSION "6.3.4")
+set(PROJECT_DEP_VERSION "6.3.6")
 set(QT_MIN_VERSION "6.7.0")
 set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== src/faces/CMakeLists.txt ===
kpackage_install_package(applicationstable org.kde.ksysguard.applicationstable sensorfaces ksysguard)
kpackage_install_package(processtable org.kde.ksysguard.processtable sensorfaces ksysguard)

=== src/page/CMakeLists.txt ===

add_library(PlasmaSystemMonitorPage)

ecm_add_qml_module(PlasmaSystemMonitorPage URI "org.kde.ksysguard.page" GENERATE_PLUGIN_SOURCE DEPENDENCIES "QtCore" "org.kde.ksysguard.faces")

target_sources(PlasmaSystemMonitorPage PRIVATE
    FaceLoader.cpp
    FaceLoader.h
    FacesModel.cpp
    FacesModel.h
    PageDataModel.cpp
    PageDataModel.h
    PageDataObject.cpp
    PageDataObject.h
    PagesModel.cpp
    PagesModel.h
    PageSortModel.cpp
    PageSortModel.h
    WidgetExporter.cpp
    WidgetExporter.h
)

ecm_target_qml_sources(PlasmaSystemMonitorPage SOURCES
    ColumnControl.qml
    Container.qml
    EditablePage.qml
    PageContents.qml
    PageEditor.qml
    PlaceholderRectangle.qml
    RowControl.qml
    SectionControl.qml
    PageDialog.qml
    EditablePageAction.qml
    FaceControl.qml
    FaceConfigurationPage.qml
    LoadPresetDialog.qml
    EditorToolBar.qml
    MoveButton.qml
    PageSortDialog.qml
    DialogLoader.qml
    MissingSensorsDialog.qml
    ConditionalLoader.qml
)

target_link_libraries(PlasmaSystemMonitorPage PRIVATE Qt::DBus Qt::Quick KF6::ConfigCore KF6::I18n KF6::NewStuffCore KSysGuard::Sensors KSysGuard::SensorFaces)

install(TARGETS PlasmaSystemMonitorPage ${KDE_INSTALL_DEFAULT_ARGS})

ecm_finalize_qml_module(PlasmaSystemMonitorPage)

=== debian/changelog ===
plasma-systemmonitor (6.3.6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.
  * New upstream release (6.3.6).
    - Partially revert "Don't override dialog y: values". (kde#505052)
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.6 packages that have actual code changes.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Jul 2025 00:08:51 +0200

plasma-systemmonitor (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: plasma-systemmonitor
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                kirigami-addons-dev (>= 1.1.0~),
                libkf6config-dev (>= 6.10.0~),
@@ -22,14 +21,14 @@
                libkf6service-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
-               libksysguard-dev (>= 4:6.3.5~),
+               libksysguard-dev (>= 4:6.3.4~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/en/plasma-systemmonitor
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor.git
 Rules-Requires-Root: no
 
 Package: plasma-systemmonitor

## plasma-systemmonitor 6.4.2

=== debian/changelog ===
plasma-systemmonitor (6.4.2-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 13:54:12 +0000

plasma-systemmonitor (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:37:07 +0000

plasma-systemmonitor (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:51:57 +0000

plasma-systemmonitor (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:28:01 +0000

plasma-systemmonitor (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:00:43 +0000

plasma-systemmonitor (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:14:02 +0000

plasma-systemmonitor (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:11:20 +0000

plasma-systemmonitor (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:13:15 +0000

plasma-systemmonitor (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:57:34 +0000

plasma-systemmonitor (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:32:28 +0000

plasma-systemmonitor (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:03:53 +0000

plasma-systemmonitor (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:36:58 +0000

plasma-systemmonitor (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:16:05 +0000

plasma-systemmonitor (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:07:58 +0000

plasma-systemmonitor (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:16:10 +0000

plasma-systemmonitor (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:15:30 +0000

plasma-systemmonitor (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:33:23 +0000

plasma-systemmonitor (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:09:17 +0000

plasma-systemmonitor (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:42:59 +0000

plasma-systemmonitor (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:02:18 +0000

plasma-systemmonitor (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:20:47 +0000

plasma-systemmonitor (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:51:55 +0000

plasma-systemmonitor (6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:16:16 +0000

plasma-systemmonitor (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:24:16 +0000

plasma-systemmonitor (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:14:43 +1000

plasma-systemmonitor (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:53:04 +0000

plasma-systemmonitor (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:02:16 +0000

plasma-systemmonitor (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:10:23 +0000

plasma-systemmonitor (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:24:27 +0000

plasma-systemmonitor (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:11:59 +0000

plasma-systemmonitor (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:41:09 +0000

plasma-systemmonitor (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:33:21 +0000

plasma-systemmonitor (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:17:18 +0000

plasma-systemmonitor (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:08:12 +0000

plasma-systemmonitor (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:35:09 +0000

plasma-systemmonitor (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:32:03 +0000

plasma-systemmonitor (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:48:52 +0000

plasma-systemmonitor (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:46:42 +0000

plasma-systemmonitor (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:25:45 +0000

plasma-systemmonitor (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:02:40 +0000

plasma-systemmonitor (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:44:12 +0000

plasma-systemmonitor (5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:15:18 +0000

plasma-systemmonitor (5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:09:58 +0000

plasma-systemmonitor (5.25.2-0neon) focal; urgency=medium

  * New release



## plasma-systemmonitor 6.4.3

=== debian/changelog ===
plasma-systemmonitor (6.4.3-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 14:02:08 +0000

plasma-systemmonitor (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:10:20 +0000

## plasma-systemmonitor 6.4.4

=== debian/changelog ===
plasma-systemmonitor (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Disable tests at build time.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:31:06 +0100

=== debian/control ===
Source: plasma-systemmonitor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.14.0~),
               kirigami-addons-dev (>= 1.1.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6globalaccel-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6itemmodels-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6newstuff-dev (>= 6.14.0~),
               libkf6package-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkirigami-dev (>= 6.14.0~),
               libksysguard-dev (>= 4:6.4.4~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/plasma-systemmonitor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
Rules-Requires-Root: no

Package: plasma-systemmonitor
Section: utils
Architecture: any
Depends: ksystemstats (>= 6.2.90~),
         libksysguard-bin (>= 6.2.90~),
         python3:any,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksysguard,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-quickcharts,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: System monitor for the Plasma desktop
 Plasma System Monitor provides an interface for monitoring system sensors,
 process information and other system resources.
